package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 入驻商家对象 settled_merchants
 * 
 * @author boman
 * @date 2022-06-10
 */
public class SettledMerchants extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商家ID */
    private Long businessId;

    /** 商家名称 */
    @Excel(name = "商家名称")
    private String businessName;

    /** 商家简介 */
    @Excel(name = "商家简介")
    private String businessIntroduce;

    /** 商家地址 */
    @Excel(name = "商家地址")
    private String businessAddress;

    /** 商家电话 */
    @Excel(name = "商家电话")
    private String businessPhone;

    /** 商家政策 */
    private String businessPolicy;
    /**
     * 分类id
     */
    private int policyId;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Integer orderNum;

    /** 商家状态（0显示 1隐藏） */
    @Excel(name = "商家状态", readConverterExp = "0=显示,1=隐藏")
    private String visible;

    /** 商家状态（0正常 1停用 2申请中） */
    @Excel(name = "商家状态", readConverterExp = "0=正常,1=停用,2=申请中")
    private String status;

    /** 缩略图 */
    @Excel(name = "缩略图")
    private String photo;


    private List<SettledMerchantsInterests> settledMerchantsInterestsList;

    private List<Long> menuIdList;

    private String menuNames;


    public int getPolicyId() {
        return policyId;
    }

    public void setPolicyId(int policyId) {
        this.policyId = policyId;
    }

    public void setBusinessId(Long businessId)
    {
        this.businessId = businessId;
    }

    public Long getBusinessId() 
    {
        return businessId;
    }
    public void setBusinessName(String businessName) 
    {
        this.businessName = businessName;
    }

    public String getBusinessName() 
    {
        return businessName;
    }
    public void setBusinessIntroduce(String businessIntroduce) 
    {
        this.businessIntroduce = businessIntroduce;
    }

    public String getBusinessIntroduce() 
    {
        return businessIntroduce;
    }
    public void setBusinessAddress(String businessAddress) 
    {
        this.businessAddress = businessAddress;
    }

    public String getBusinessAddress() 
    {
        return businessAddress;
    }
    public void setBusinessPhone(String businessPhone) 
    {
        this.businessPhone = businessPhone;
    }

    public String getBusinessPhone() 
    {
        return businessPhone;
    }
    public void setBusinessPolicy(String businessPolicy) 
    {
        this.businessPolicy = businessPolicy;
    }

    public String getBusinessPolicy() 
    {
        return businessPolicy;
    }
    public void setOrderNum(Integer orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Integer getOrderNum() 
    {
        return orderNum;
    }
    public void setVisible(String visible) 
    {
        this.visible = visible;
    }

    public String getVisible() 
    {
        return visible;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setPhoto(String photo) 
    {
        this.photo = photo;
    }

    public String getPhoto() 
    {
        return photo;
    }

    public List<SettledMerchantsInterests> getSettledMerchantsInterestsList() {
        return settledMerchantsInterestsList;
    }

    public void setSettledMerchantsInterestsList(List<SettledMerchantsInterests> settledMerchantsInterestsList) {
        this.settledMerchantsInterestsList = settledMerchantsInterestsList;
    }

    public List<Long> getMenuIdList() {
        return menuIdList;
    }

    public void setMenuIdList(List<Long> menuIdList) {
        this.menuIdList = menuIdList;
    }

    public String getMenuNames() {
        return menuNames;
    }

    public void setMenuNames(String menuNames) {
        this.menuNames = menuNames;
    }

    @Override
    public String toString() {
        return "SettledMerchants{" +
                "businessId=" + businessId +
                ", businessName='" + businessName + '\'' +
                ", businessIntroduce='" + businessIntroduce + '\'' +
                ", businessAddress='" + businessAddress + '\'' +
                ", businessPhone='" + businessPhone + '\'' +
                ", businessPolicy='" + businessPolicy + '\'' +
                ", policyId=" + policyId +
                ", orderNum=" + orderNum +
                ", visible='" + visible + '\'' +
                ", status='" + status + '\'' +
                ", photo='" + photo + '\'' +
                ", settledMerchantsInterestsList=" + settledMerchantsInterestsList +
                ", menuIdList=" + menuIdList +
                ", menuNames='" + menuNames + '\'' +
                '}';
    }
}
